# JoinEvent.CallerId Property
Get/Set the Caller*ID number of the channel that joined the queue if set. If the channel has no caller id set "unknown" is returned.

AsterNet Class Library (Sandcastle documentation)

| JoinEvent CallerId Property

Get/Set the Caller*ID number of the channel that joined the queue if set. If the channel has no caller id set "unknown" is returned.

Namespace: AsterNET.Manager.Event
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public string CallerId { get; set; }

    Public Property CallerId As String
    	Get
    	Set

    public:
    property String^ CallerId {
    	String^ get ();
    	void set (String^ value);
    }

    member CallerId : string with get, set

#### Property Value

Type: String
See Also

#### Reference

JoinEvent Class
AsterNET.Manager.Event Namespace